Name:           cool-retro-term
Version:        1.1.1
Release:        %mkrel 5
Summary:        Terminal emulator mimicking an old cathode display
Group:          Terminals
License:        GPLv2+ and GPLv3+
URL:            https://github.com/Swordfish90/cool-retro-term
# Packed manually with git submodule
Source0:        %{name}-%{version}.tar.xz
Patch0:         qmltermwidget-git-Fix-missing-includes.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5

Requires:       qtdeclarative5
Requires:       qtgraphicaleffects5
Requires:       qtquickcontrols5
Requires:       qt5-database-plugin-sqlite

%description
cool-retro-term is a terminal emulator which mimics the look and feel
of the old cathode tube screens. It has been designed to be eye-candy,
customizable, and reasonably lightweight.

%prep
%autosetup -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

install -D -m644 packaging/appdata/%{name}.appdata.xml \
  %{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml

install -D -m644 packaging/debian/%{name}.1 \
  %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README.md
%license gpl-2.0.txt gpl-3.0.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*
%{_qt5_qml}/QMLTermWidget/


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 1.1.1-5.mga8
+ Revision: 1658273
- Rebuild for new Qt5

* Wed Oct 21 2020 akien <akien> 1.1.1-4.mga8
+ Revision: 1637624
- Fix missing includes for recent libstdc++

* Sun Feb 16 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1530582
- Mageia 8 Mass Rebuild

* Mon Sep 02 2019 akien <akien> 1.1.1-2.mga8
+ Revision: 1436423
- Explicitly require qt5-database-plugin-sqlite

* Fri Aug 30 2019 akien <akien> 1.1.1-1.mga8
+ Revision: 1435465
- imported package cool-retro-term

